libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__archive_packed_size(
        mpq_archive_s  *mpq_archive,
        off_t          *packed_size
);

DESCRIPTION

Call libmpq__archive_packed_size() to get the packed size of all files in the archive. It will count compressed and imploded files as well as stored only.

The libmpq__archive_packed_size() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument is a reference to the compressed, imploded or stored size packed_size of file.

RETURN VALUE
On success, a zero is returned.

SEE ALSO
libmpq__file_packed_size(3), libmpq__block_packed_size(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.